#!/bin/bash


source /root/bin/alanserviceparameters

if [ -e ${ALAN_UPDATE_PARAMETER_FILE} ]
then
	source ${ALAN_UPDATE_PARAMETER_FILE}

	if [ -e "${ALAN_UPDATE_SCRIPT}" ]
	then
		if [ ! -e ${ALAN_RESTORE_PARAMETER_FILE} ]
		then
			if [ ! -e ${ALAN_BACKUP_PARAMETER_FILE} ]
			then
				systemctl stop ALAN
				echo "doing update with ${ALAN_UPDATE_SCRIPT}"
				cd $(dirname "${ALAN_UPDATE_SCRIPT}")
				sh "${ALAN_UPDATE_SCRIPT}" 2> ${ALAN_UPDATE_ERROR_FILE}
				systemctl restart ALAN
				rm -rf /tmp/alanupdate
				rm ${ALAN_UPDATE_PARAMETER_FILE}
#				rm ${ALAN_UPDATE_ERROR_FILE}
			else
				echo "backup is running $(date +%F-%T)" >> ${ALAN_UPDATE_ERROR_FILE}
			fi
		else
			echo "restore is running $(date +%F-%T)" >> ${ALAN_UPDATE_ERROR_FILE}
		fi
	else
		echo "no filename given $(date +%F-%T)" >> ${ALAN_UPDATE_ERROR_FILE}
	fi
else
	echo "no parameters given $(date +%F-%T)" >> ${ALAN_UPDATE_ERROR_FILE}
fi
