<!DOCTYPE html>
<html>
	<head>
		<meta charset="utf-8">
		<title>alan</title>
		<meta name="viewport" content="user-scalable=0,initial-scale=1,maximum-scale=1">
		<meta name="apple-mobile-web-app-capable" content="yes">
		<meta name="mobile-web-app-capable" content="yes">
		<link rel="shortcut icon" type="image/x-icon" href="images/favicon.ico">
		<link rel="apple-touch-icon" href="images/af028cf5.icon.png">
		<link rel="apple-touch-icon" sizes="72x72" href="images/07036089.icon72.png">
		<link rel="apple-touch-icon" sizes="114x114" href="images/e975a587.icon114.png">
		<link rel="stylesheet" href="styles/d49cdb0b.main.css">
	</head>
	<body>
		<div id="splash">
			<img src="images/dde8d981.splashlogo.svg">
		</div>

		<?php

			$path= "images/repo/";
			$files= scandir($path);
			asort($files);
			
			foreach ($files as $file) {
				$filePath= "{$path}{$file}";
				$ext= pathinfo($filePath, PATHINFO_EXTENSION);
				if (is_file($filePath) && $ext == "svg") {
					$id= substr($file, 0, -4);
					$id= str_replace(" ", "_", $id);
					$id= str_replace("(", ":", $id);
					$id= str_replace(")", "", $id);
					$id= str_replace(".", "__", $id);
					echo "\n\n		<script type=\"text/template\" id=\"tplSVG{$id}\">\n\n";

					// $dom= new DOMDocument;
					// $dom->loadXML(file_get_contents($filePath));
					// foreach ($dom->childNodes as $node) {
					// 	if ($node->nodeName == "svg") {echo innerHTML($node);break;
					// 		$output= "";

					// 		foreach ($node->childNodes as $child) {echo 1;break;
					// 			$ouput.= $child->ownerDocument->saveXML($child);
					// 		}

					// 		echo $output;
					// 		// echo $node->saveHTML($node); 
					// 	}
					// }

					preg_match('#<svg(.*?)>(.*?)</svg>#is', file_get_contents($filePath), $match, PREG_OFFSET_CAPTURE);
					$svg= $match[0][0];
					// $svg= preg_replace('#\s(id|fill)="[^"]+"#', '', $svg);
					// $svg= preg_replace('#<svg(.*?)>#is', '<svg$1><style type="text/css"></style>', $svg);

					// only parse Illustrator specific if no class attribute has been used,
					// because then its probably hand made
					if (strpos($svg, " class=\"") === false) {
						$svg= str_replace(" display=\"none\"", " lang=\"noDefault\"", $svg);
						$svg= preg_replace_callback('#\s(id)="([^"]+)"#', function($match) {
							$m= str_replace("_", " ", $match[2]);
							return " class=\"{$m}\"";
						}, $svg);
						$svg= str_replace("xml:space=\"preserve\">", "xml:space=\"preserve\">\n<style type=\"text/css\" ></style>", $svg);
					}
					else {
						$svg= preg_replace('#\s(id)="([^"]+)"#', "", $svg);
					}

					echo $svg;

					// echo file_get_contents($filePath);
					echo "\n\n		</script>\n\n";
				}
			}

			echo "\n\n<script type=\"text/javascript\">\n\n";
			echo "function vars(field) { return {\n";

			$path= "vars/";
			$files= scandir($path);
			asort($files);

			foreach ($files as $file) {
				$filePath= "{$path}{$file}";
				$ext= pathinfo($filePath, PATHINFO_EXTENSION);
				$name= pathinfo($filePath, PATHINFO_FILENAME);
				if (is_file($filePath) && $ext == "js") {
					echo "\n'{$name}': ".file_get_contents($filePath).",\n";
				}
			}

			echo "\n}[field]; }\n\n</script>\n\n";

		?>



		<script src="scripts/85c7c42d.vendor.js"></script>

		<script src="scripts/bbeb488d.main.js"></script>
		


		<script type="text/javascript">
			<?php

				echo "window.beam=".(isset($_GET["beam"]) ? 'true' : 'false').";";
				echo "window.watch=".(isset($_GET["watch"]) ? 'true' : 'false').";";
				echo (is_file("_dev.txt")) ? "var dev= true;" : "var dev= false;";
				echo (is_file("_demo.txt")) ? "var demo= true;" : "var demo= false;";
				echo (is_file("_log.txt")) ? "var log= true;" : "var log= false;";

			?>

			if ($(window).width() == 241) watch= window.watch= true;
			
			function toggleFullScreen() {
				var doc = window.document;
				var docEl = doc.documentElement;
				
				var requestFullScreen = docEl.requestFullscreen || docEl.mozRequestFullScreen || docEl.webkitRequestFullScreen;
				var cancelFullScreen = doc.exitFullscreen || doc.mozCancelFullScreen || doc.webkitExitFullscreen;
				
				if(!doc.fullscreenElement && !doc.mozFullScreenElement && !doc.webkitFullscreenElement) {
					requestFullScreen.call(docEl);
				}
				else {
					cancelFullScreen.call(doc);
				}
			}
			
			if (window.beam) {
				window.fullscreen= false;
				$(window).click(function() {
					if (!window.fullscreen) {
						toggleFullScreen();
						window.fullscreen= true;
					}
				});
			}
			
			if (!dev) {
				document.addEventListener("MSHoldVisual", function(e) { e.preventDefault(); }, false);
				document.addEventListener("contextmenu", function(e) { e.preventDefault(); }, false);
			}

			<?php if (is_file("_livereload.txt")) echo "(function() { var ws= new WebSocket('ws://localhost:35729'); ws.onmessage= function(msg) { if ((JSON.parse(msg.data)).command == 'reload') { window.location.reload(); } }; })();"; ?>

		</script>

	</body>
</html>