#!/bin/bash


source /root/bin/alanserviceparameters

if [ -e ${ALAN_RESTORE_PARAMETER_FILE} ]
then
	source ${ALAN_RESTORE_PARAMETER_FILE}

	if [ -e "${ALAN_RESTORE_SOURCE}/${ALAN_RESTORE_FILENAME}" ]
	then
		if [ ! -e ${ALAN_BACKUP_PARAMETER_FILE} ]
		then
			systemctl stop ALAN
			mysql \
				-u alan \
				-p6xAV5TnZJZjvCry8 \
				< "${ALAN_RESTORE_SOURCE}/${ALAN_RESTORE_FILENAME}" \
				2> ${ALAN_RESTORE_ERROR_FILE}

			if [ -e /root/bin/initial_db.sql ]
			then
				mysql \
					-u alan \
					-p6xAV5TnZJZjvCry8 \
					< /root/bin/initial_db.sql \
					2> ${ALAN_RESTORE_ERROR_FILE}
			fi

			systemctl restart ALAN
			rm ${ALAN_RESTORE_PARAMETER_FILE}
			rm ${ALAN_RESTORE_ERROR_FILE}
		else
			echo "backup is running $(date +%F-%T)" >> ${ALAN_RESTORE_ERROR_FILE}
		fi
	else
		echo "no filename given $(date +%F-%T)" >> ${ALAN_RESTORE_ERROR_FILE}
	fi
else
	echo "no parameters given $(date +%F-%T)" >> ${ALAN_RESTORE_ERROR_FILE}
fi
