#!/bin/bash


if [ -z $1 ]
then
	echo "changeWifiNetworkName: needs an argument"
	exit -1
fi

if [[ $1 == *"?"* ]]
then
	echo "changeWifiNetworkName: new network name should not contain ?"
	exit -2
fi

sed -i "s?ssid=.*?ssid=$1?g" /etc/hostapd/hostapd.conf

test=$(grep "ssid=$1$" /etc/hostapd/hostapd.conf)

if [ -z ${test} ]
then
	echo "changeWifiNetworkName: change failed"
	exit -3
fi

exit 0
