#!/bin/bash


if [ -z $1 ]
then
	echo "changeWifiPass: needs an argument"
	exit -1
fi

if [[ $1 == *"?"* ]]
then
	echo "changeWifiPass: new password should not contain ?"
	exit -2
fi

sed -i "s?wpa_passphrase=.*?wpa_passphrase=$1?g" /etc/hostapd/hostapd.conf

test=$(grep "wpa_passphrase=$1$" /etc/hostapd/hostapd.conf)

if [ -z ${test} ]
then
	echo "changeWifiPass: change failed"
	exit -3
fi

exit 0
